| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members
AAX_IACFViewContainer_V2 Class Referenceabstract

`#include <AAX_IACFViewContainer.h>`

Inheritance diagram for AAX_IACFViewContainer_V2:
[legend]
Collaboration diagram for AAX_IACFViewContainer_V2:
[legend]

## Description

Supplemental interface for the AAX host's view of a single instance of an effect. Used by both clients of the host app and by effect components.

See also
  AAX_IViewContainer

## Public Member Functions
Host event handlers
virtual AAX_Result | HandleMultipleParametersMouseDown (const AAX_CParamID *inParamIDs, uint32_t inNumOfParams, uint32_t inModifiers)=0
| Alert the host to a mouse down event.
virtual AAX_Result | HandleMultipleParametersMouseDrag (const AAX_CParamID *inParamIDs, uint32_t inNumOfParams, uint32_t inModifiers)=0
| Alert the host to a mouse drag event.
virtual AAX_Result | HandleMultipleParametersMouseUp (const AAX_CParamID *inParamIDs, uint32_t inNumOfParams, uint32_t inModifiers)=0
| Alert the host to a mouse up event.
Public Member Functions inherited from AAX_IACFViewContainer
virtual int32_t | GetType ()=0
| Returns the raw view type as one of AAX_EViewContainer_Type.
virtual void * | GetPtr ()=0
| Returns a pointer to the raw view.
virtual AAX_Result | GetModifiers (uint32_t *outModifiers)=0
| Queries the host for the current modifier keys.
virtual AAX_Result | SetViewSize (AAX_Point &inSize)=0
| Request a change to the main view size.
virtual AAX_Result | HandleParameterMouseDown (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse down event.
virtual AAX_Result | HandleParameterMouseDrag (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse drag event.
virtual AAX_Result | HandleParameterMouseUp (AAX_CParamID inParamID, uint32_t inModifiers)=0
| Alert the host to a mouse up event.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ HandleMultipleParametersMouseDown()

virtual AAX_Result AAX_IACFViewContainer_V2::HandleMultipleParametersMouseDown | ( | const AAX_CParamID * | inParamIDs,
|  | uint32_t | inNumOfParams,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse down event.

Parameters

  [in] | inParamIDs | IDs of the parameters that belong to the same GUI element whose controls are being edited
  [in] | inNumOfParams | Number of parameter IDS
  [in] | inModifiers | A bitmask of AAX_EModifiers values

## ◆ HandleMultipleParametersMouseDrag()

virtual AAX_Result AAX_IACFViewContainer_V2::HandleMultipleParametersMouseDrag | ( | const AAX_CParamID * | inParamIDs,
|  | uint32_t | inNumOfParams,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse drag event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamIDs | IDs of the parameters that belong to the same GUI element whose controls are being edited
  [in] | inNumOfParams | Number of parameter IDS
  [in] | inModifiers | A bitmask of AAX_EModifiers values

## ◆ HandleMultipleParametersMouseUp()

virtual AAX_Result AAX_IACFViewContainer_V2::HandleMultipleParametersMouseUp | ( | const AAX_CParamID * | inParamIDs,
|  | uint32_t | inNumOfParams,
|  | uint32_t | inModifiers
| ) |  |
| pure virtual

Alert the host to a mouse up event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamIDs | IDs of the parameters that belong to the same GUI element whose controls are being edited
  [in] | inNumOfParams | Number of parameter IDS
  [in] | inModifiers | A bitmask of AAX_EModifiers values

The documentation for this class was generated from the following file:

- AAX_IACFViewContainer.h